com.pixelmed.test

## Class TestThreadUtilitiesEventDispatchThread

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestThreadUtilitiesEventDispatchThread

-     public class TestThreadUtilitiesEventDispatchThread
      extends TestCase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `waitIntervalWhenSleeping`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestThreadUtilitiesEventDispatchThread(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestThreadUtilitiesEventDispatchThread_JFrameSubClassThread()`
    `void` | `TestThreadUtilitiesEventDispatchThread_MainThread()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### waitIntervalWhenSleeping

          protected static final int waitIntervalWhenSleeping

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TestThreadUtilitiesEventDispatchThread

          public TestThreadUtilitiesEventDispatchThread(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### TestThreadUtilitiesEventDispatchThread_MainThread

          public void TestThreadUtilitiesEventDispatchThread_MainThread()

    - #### TestThreadUtilitiesEventDispatchThread_JFrameSubClassThread

          public void TestThreadUtilitiesEventDispatchThread_JFrameSubClassThread()